Module java.desktop
Package javax.swing

# Class UnsupportedLookAndFeelException

java.lang.Object
java.lang.Throwable
java.lang.Exception
javax.swing.UnsupportedLookAndFeelException

All Implemented Interfaces:
  `Serializable`

public class UnsupportedLookAndFeelException extends Exception
An exception that indicates the requested look & feel management classes are not present on the user's system.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans has been added to the `java.beans` package. Please see `XMLEncoder`.

Since:
  1.2

## Constructor Summary

Constructors
Constructor
Description
`UnsupportedLookAndFeelException​(String s)`
Constructs an UnsupportedLookAndFeelException object.

## Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UnsupportedLookAndFeelException

public UnsupportedLookAndFeelException​(String s)
Constructs an UnsupportedLookAndFeelException object.

Parameters:
  `s` - a message String